function startRequest(param)
{
  serwerTxt = document.getElementById('tfSerwer').value;
  plikTxt = document.getElementById('tfPlik').value;
  uzytkownikTxt = document.getElementById('tfUzytkownik').value;
  hasloTxt = document.getElementById('tfHaslo').value;
  var btnPobierz = document.getElementById('btnPobierz');

  url = "http://localhost/dane.php?serwer=" + serwerTxt;
  url += "&plik=" + plikTxt + "&uzytkownik=" + uzytkownikTxt;
  url += "&haslo=" + hasloTxt;
  url = encodeURI(url);

  btnPobierz.disabled = true;
  btnPobierz.value = "Czekaj";

  var div = document.getElementById('dataDiv');
  div.innerHTML = "Trwa pobieranie danych...";

  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  var div = document.getElementById('dataDiv');
  div.innerHTML = text;
}

function onEnd()
{
  var btnPobierz = document.getElementById('btnPobierz');
  btnPobierz.value = "Pobierz";
  btnPobierz.disabled = false;
}